package org.antforge.waqlpp.test;

import org.w3c.dom.Element;

public class TestCase003 extends TestBase
{
	@Override
	protected String getInput() {
		return "<result>${//person[@id=${//user/id/text()} and @name=${//user/name/text()}]}</result>";
	}

	@Override
	protected Object[][] getDependencies() {
		Element e = createDocument().createElement("person");
		e.setAttribute("id", "23");
		e.setAttribute("name", "michi");
		return new Object[][] {
			{ null, "//user/id/text()", 23 },
			{ null, "//user/name/text()", "michi" },
			{ null, "//person[@id=23 and @name='michi']", e, false },
		};
	}

	@Override
	protected String getOutput() {
		return "<result><person id=\"23\" name=\"michi\"/></result>";
	}
}
